*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

main{
    width: 100vw; /*Ocupara el 100% del width sin importar el tamano de la pantalla*/
    height: 100vh; /*Ocupara el 100% del height sin importar el tamano de la pantalla*/
    background-color: indianred;
}

section{
    width: 80%; /*En conjunto con el tamano del width en el main, se ocupara un 80%*/
    min-width: 320px; /*REGLA BASE: Tener su base en porcentaje, en este caso width. Define el ancho minimo, limita el tamano que se va a encojer*/
    max-width: 500px; /*Define el ancho maximo que un elemento puede tener, limita el tamano que va a crecer*/
    min-height: 500px; /*Define la altura minima de un elemento dado.*/
    margin: 0 auto; /*Agrega margen laterales siendo de arriba abajo no agregar margin (0), de izquierda a derecha ajusta de forma automatica (auto)*/
    background-color: lightpink;
}